org.bdgenomics.adam.sql

# NucleotideContigFragment

###
Related Docs: object NucleotideContigFragment | package sql

#### class NucleotideContigFragment extends Product

Linear Supertypes
Product, Equals, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. NucleotideContigFragment
2. Product
3. Equals
4. AnyRef
5. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new NucleotideContigFragment(contigName: Option[String], contigLength: Option[Long], description: Option[String], sequence: Option[String], index: Option[Int], start: Option[Long], end: Option[Long], length: Option[Long], fragments: Option[Int])

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def canEqual(that: Any): Boolean

   Definition Classes
     NucleotideContigFragment → Equals

6. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

7. #### val contigLength: Option[Long]

8. #### val contigName: Option[String]

9. #### val description: Option[String]

10. #### val end: Option[Long]

11. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

12. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

13. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

14. #### val fragments: Option[Int]

15. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

16. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

17. #### val index: Option[Int]

18. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

19. #### val length: Option[Long]

20. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

21. #### final def notify(): Unit

    Definition Classes
      AnyRef

22. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

23. #### def productArity: Int

    Definition Classes
      NucleotideContigFragment → Product

24. #### def productElement(i: Int): Any

    Definition Classes
      NucleotideContigFragment → Product

25. #### def productIterator: Iterator[Any]

    Definition Classes
      Product

26. #### def productPrefix: String

    Definition Classes
      Product

27. #### val sequence: Option[String]

28. #### val start: Option[Long]

29. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

30. #### def toAvro: formats.avro.NucleotideContigFragment

31. #### def toString(): String

    Definition Classes
      AnyRef → Any

32. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

33. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

34. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Ungrouped